std::exception::operator=(3)

NAME
std::exception::operator= - std::exception::operator=

Synopsis
   exception& operator=( const exception& other ) throw(); (until C++11)
   exception& operator=( const exception& other ) noexcept; (since C++11)
   Copy assignment operator. Assigns the contents of other
   The effects of calling what() after assignment are (until C++11)
   implementation-defined.
   If *this and other both have dynamic type std::exception then (since C++11)
   std::strcmp(what(), other.what()) == 0 after assignment.

Parameters
   other - another exception to assign the contents of